=== debian/changelog ===
jitsi (2.9.5533-1) unstable; urgency=low

  * Updates upstream.
  * Adjust build-time deps for easier backporting. (Closes: #729904)
  * Reuses already installed on the system spellcheck
    ditionaries. (Closes: #719201)
  * Fixes processing incoming xmpp ping error packets and showing
    many stack traces in console. (Closes: #785299)
  * Removes java6-runtime alternative. (Closes: #735904)

 -- Damian Minkov <damencho@jitsi.org>  Sat, 17 Sep 2016 16:01:25 -0400

jitsi (2.5.5313-1) unstable; urgency=low

  * Updates upstream.
  * Now depends libjitsi package.
  * Fixes BundleException: Unresolved constraint in bundle
    propertieseditor. (Closes: #736773)
  * Fixes commons lang missing felix manifests. (Closes: #736773)
  * Removes gdata dependency. Set encoding for javadoc to fix errors with
    Java 7 (part of the patch in libjitsi as jsip has moved
    there). (Closes: #759835, #748503)
  * New version will be updated with bound to libavfilter5. (Closes: #760853)
  * Fixes dependencies to build with jdk8. (Closes: #745090)

 -- Damian Minkov <damencho@jitsi.org>  Mon, 6 Oct 2014 17:40:14 +0200

jitsi (2.4.4997-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/patches/json.patch: Update paths to json-simple.jar since
    libjson-simple-java 1.1.1-2 dropped the compatibility symlink. (Closes:
    #747789)
  * debian/control: Bump (Build-)Depends on libjson-simple-java to >= 1.1.1.
    The name got changed to json-simple.jar starting with 1.1.1.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 May 2014 22:02:47 +0200

jitsi (2.4.4997-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add patch from Anton Khirnov and compile against libav10 (Closes: #739432)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 31 Mar 2014 21:41:07 -0400
