=== debian/control ===
Source: jitsi
Section: net
Priority: optional
Maintainer: Jitsi Team <dev@jitsi.org>
Uploaders: Emil Ivov <emcho@jitsi.org>, Damian Minkov <damencho@jitsi.org>
Homepage: http://jitsi.org/
Build-Depends: debhelper (>= 9), javahelper,
               dpkg-dev (>= 1.16.1),
               default-jdk,
               ant,
               ant-optional,
               ant-contrib-cpptasks,
               ant-contrib,
               libjitsi,
               libjitsi-jni,
               libxpp3-java,
               libjzlib-java,
               libbcprov-java,
               libbcpkix-java,
               libweupnp-java,
               libjna-java,
               libjna-platform-java,
               libcommons-codec-java,
               libcommons-lang3-java,
               liblog4j1.2-java,
               libjgoodies-forms-java,
               libjmdns-java,
               libdnsjava-java (>= 2.1.7~),
               libmac-widgets-java,
               libfelix-main-java,
               libfelix-framework-java,
               junit,
               libcommons-logging-java,
               liblaf-widget-java,
               libhttpcore-java,
               libhttpmime-java,
               libhttpclient-java (>= 4.2.1),
               libjson-simple-java (>= 1.1.1),
               libdbus-java,
               libeasymock-java,
               libxt-dev,
               libxtst-dev,
               libxv-dev,
               libdbus-1-dev,
               libxss-dev,
               libgtk2.0-dev,
               libglib2.0-dev,
               libguava-java,
               libhsqldb-java,
               glassfish-activation,
               glassfish-mail,
               libjcalendar-java,
               libphonenumber6-java,
               libslf4j-java
Standards-Version: 3.9.6

Package: jitsi
Architecture: all
Depends: ${misc:Depends},
         jitsi-jni (>= ${source:Version}),
         jitsi-common (= ${source:Version}),
         libjitsi (= ${libjitsi:version}),
         libjitsi-jni (= ${libjitsi:version}),
         default-jre,
         libunixsocket-java,
         libhttpcore-java,
         liblog4j1.2-java,
         libjmdns-java,
         libmac-widgets-java,
         libfelix-main-java,
         libfelix-framework-java,
         libhttpclient-java (>= 4.2.1),
         libhttpmime-java,
         libcommons-logging-java,
         libcommons-codec-java,
         libcommons-lang3-java,
         liblaf-widget-java,
         libdbus-java,
         libbcprov-java,
         libweupnp-java,
         libjna-java,
         libjna-platform-java,
         libjgoodies-forms-java,
         libguava-java,
         libhsqldb-java,
         libjson-simple-java (>= 1.1.1),
         libjcalendar-java,
         libphonenumber6-java,
         libslf4j-java
Recommends: ${java:Recommends}
Description: VoIP and Instant Messaging client
 Jitsi is an application that allows you to do audio/video
 conversations over the Internet through the SIP and XMPP/Jabber protocol,
 as well as chat with your friends using some of the most popular instant
 messaging protocols such as SIP/SIMPLE, XMPP/Jabber, AIM/ICQ, Yahoo and others.

Package: jitsi-jni
Replaces: libjitsi-jni (<< 415)
Section: libs
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Jitsi JNI library
 These are the jni bindings for  Jitsi the Java VoIP
 and Instant Messaging client. Libraries to access audio and video devices.
 Native binaries used to render the video and detect network configuration
 changes. Binaries for audio codecs like opus and g722. Global shortcuts,
 notifications and hid devices control.

Package: jitsi-common
Section: libs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
         libdnsjava-java (>= 2.1.7~),
         libxpp3-java,
         libjzlib-java,
         libbcpkix-java
Description: Jitsi common bundles
 These are the common files for Jitsi the Java VoIP
 and Instant Messaging client. Bundles that are reused by others like
 jitsi-videobridge.
